Subject: Re: bug#62279: Add an option to restore C-h b "Prefix Command" output

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Mar 2023 10:33:53 +0200

> From: Bob Rogers <[email-masked]>
> Date: Sun, 19 Mar 2023 12:59:45 -0700
> CC: [email-masked]
> 
>    From: Eli Zaretskii <[email-masked]>
>    Date: Sun, 19 Mar 2023 21:35:37 +0200
> 
>    > From: Bob Rogers <[email-masked]>
>    > Date: Sun, 19 Mar 2023 12:26:46 -0700
>    > 
>    >    Pursuant to the 'No more "Prefix Command" in C-h m' discussion in the
>    > emacs-devel list.
> 
>    Thanks.
> 
>    > --- a/etc/NEWS
>    > +++ b/etc/NEWS
>    > @@ -61,6 +61,11 @@ This allows the user to customize the prompt that is appended by
>    >  This is used for displaying the time and date components of
>    >  'display-time-mode'.
>    >  
>    > +** New user option 'describe-bindings-show-prefixes'.
>    > +If true (the default is false), restores the "Prefix Command" entries
> 
>    We use "If non-nil", not "If true".  And similarly for "false".
> 
> Guess I've been thinking too much in Perl lately.  ;-}
> 
>    > +in 'describe-binding' ('C-h b') output for keys that are prefixes, the
>    > +details of which are shown later (regardless of this option setting).
> 
>    This NEWS entry should go to where the change in "C-h b"s behavior is
>    described in NEWS (on emacs-29 branch), and should be reworded to tell
>    users how to get the previous behavior back ("To get the previous
>    behavior back, customize ...").
> 
> OK.  I also subordinated it to the "Keymap descriptions have changed"
> entry, since that seemed apt.
> 
>    > +(defcustom describe-bindings-show-prefixes nil
>    > +  "Non-nil shows prefixes in the output buffer of `describe-bindings'."
>    > +  :type 'boolean
>    > +  :group 'help
>    > +  :version "30.1")
> 
>    This should be "29.1".  Since the behavior change was introduced in
>    Emacs 29, we need to add this option in the same version.
> 
> OK, I wasn't sure Lars' change actually made it into 29.

Thanks, I've now installed this (with some minor changes) on the
emacs-29 branch, and I'm therefore closing this bug.